aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rwxr-xr-xserve.sh24
1 files changed, 22 insertions, 2 deletions
diff --git a/serve.sh b/serve.sh
index d9f5b5a..933f365 100755
--- a/serve.sh
+++ b/serve.sh
@@ -1,3 +1,23 @@
-#!/bin/sh
+#!/usr/bin/env bash
-bundle exec jekyll serve --watch --force_polling --host 0.0.0.0 --drafts --config _config.yml,_config_dev.yml
+set -o errexit -o nounset -o pipefail
+
+script_name="$( basename -- "${BASH_SOURCE[0]}" )"
+
+case "$#" in
+ 0) ;;
+ 1)
+ dest_dir="$1"
+ ;;
+ *)
+ echo "usage: $script_name [DEST_DIR]" >&2
+ exit 1
+esac
+
+bundle exec jekyll serve \
+ --config _config.yml,_config_dev.yml \
+ ${dest_dir+--destination "${dest_dir}"} \
+ --drafts \
+ --force_polling \
+ --host 0.0.0.0 \
+ --watch